Data Updater
Update your data to current information, and smoothly add monitoring to keep up-to-date.
Endpoints
List available services
Get available services which could be used to start data updater task
https://api.roaring.io/global/data-updater/1.0/servicesResponse schema: application/json
servicesrequiredarray of objects (io.roaring.api.global.dataupdater.resource.ServiceInfo)
List of available services
statusrequiredobject (io.roaring.api.company.resource.SearchResultStatus)
No description provided.
List data updater tasks performed by user
Fetch information about all data updater tasks performed by user
https://api.roaring.io/global/data-updater/1.0/tasksStart data updater task with file
Starts data updater task for specified services and companies from a file
https://api.roaring.io/global/data-updater/1.0/startWithFile/{webhookId}Parameters path
webhookIdrequired | stringId of webhook to which to send data updater events |
companyIds | stringtext file with company id-s each in a new line |
services | arraylist of service names |
Validate company ids file
Validate the file has good company ids
https://api.roaring.io/global/data-updater/1.0/validatefile | stringtext file with company id-s each in a new line |
Start data updater task
Starts data updater task for specified companies and services
https://api.roaring.io/global/data-updater/1.0/start/{webhookId}Parameters path
webhookIdrequired | stringId of webhook to which to send data updater events |
companyIds | arrayArray of company identifiers for which to fetch data updater data |
services | arrayArray of service names from which fetch data updater data |
Get status of data updater task
Get status of data updater task for specified task id
https://api.roaring.io/global/data-updater/1.0/status/{dataUpdaterId}Parameters path
dataUpdaterIdrequired | stringId of data updater task |
Parameters query
withProtocol | booleanWhether to include data updater task execution protocol, default false |
List available webhooks
Get available webhooks which could be used to start data updater task
https://api.roaring.io/global/data-updater/1.0/webhooks